Bug 1014704 - Project dependencies: Version ID, Artifact ID
Project dependencies: Version ID, Artifact ID
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: DR2
: 6.1.0
Assigned To: Toni Rikkola
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 10:52 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-10-02 10:52:14 EDT
Description of problem:
The dependencies table in the Project Screen has header with Group ID, Artifact ID (alright so far) and Version ID.

Maven artifacts have version, not version ID. Even if we do not think of these things as Maven related information, version ID still makes no sense.

It should read simply Version.

Similarly with Artifact ID - Maven uses the term artifact. 

And also, in the Deployments perspective, the header uses Group ID, Artifact and Version, indicating that the dependencies section of the Project Screen is a simple copy&paste mistake.

1. Please, keep things consistent and,
2. please, don't use 'Version ID'.
Comment 1 manstis 2014-06-11 06:19:23 EDT
Maven Conventions are Group ID, Artifact ID and Version. See http://maven.apache.org/guides/mini/guide-naming-conventions.html

Note You need to log in before you can comment on or make changes to this bug.